#ifndef COMSOMME_H
#define COMSOMME_H

#include "IUnknownImpl.h"
#include "ISommeImpl.h"

// ----------------------------------------------------
// Class COMSomme : implmentation encapsule de ISomme
// ----------------------------------------------------
class COMSomme : virtual public IUnknownImpl, virtual public ISommeImpl
{
public:
   // Pour IUnknown
   unsigned long __stdcall AddRef () { return IUnknownImpl::AddRef (); }
   unsigned long __stdcall Release () { return IUnknownImpl::Release (); }
   HRESULT __stdcall QueryInterface (REFIID riid, void **ppv);
   // constructeur et destructeur 
   COMSomme () : IUnknownImpl (), ISommeImpl () { }
   ~COMSomme () {}
};
#endif // !defined COMSOMME_H
